This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 638728 - Group Inventory: UI does not appear to indicate when a resource is down.
Group Inventory: UI does not appear to indicate when a resource is down.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq4 gwt-groups
  Show dependency treegraph
 
Reported: 2010-09-29 14:52 EDT by Corey Welton
Modified: 2013-09-02 03:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-29 14:52:09 EDT
Description of problem:

When I take down a resource (for example, shutting down an agent), the backend seems to know it is down but the GUI does not reflect this.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Put two or more platforms in a compatible group.
2.  Shutdown the agent on one of the platforms
3.  If possible, run an availability scan, or just wait for the platform to fail to check-in
4. Navigate to the compatible group's Monitoring tab
5. View results

  
Actual results:

Resource never seems to go red.

JON seems to know the resource is down:

2010-09-29 14:42:31,462 INFO  [org.rhq.enterprise.server.core.AgentManagerBean] Have not heard from agent [jiaozi.usersys.redhat.com] since [Wed Sep 29 14:26:36 EDT 2010]. Will be backfilled since we suspect it is down


Expected results:

Resource goes red

Additional info:
This may or may not be the behavior across the entire UI versus a groups-only idiosyncrasy.
Comment 1 Corey Welton 2010-09-29 14:52:39 EDT
Noticed that in a resource search, they are correctly appearing as "down".  They just don't appear as such in the Group view.
Comment 2 Corey Welton 2010-09-29 15:21:00 EDT
The initial repro steps should read:


1.  Put two or more platforms in a compatible group.
2.  Shutdown the agent on one of the platforms
3.  If possible, run an availability scan, or just wait for the platform to
fail to check-in
4. Navigate to the compatible group's Inventory tab
5. View results
Comment 3 John Mazzitelli 2011-02-17 14:25:31 EST
i see the badged resource icon and the availability icon show the proper status
Comment 4 Sunil Kondkar 2011-06-10 04:49:35 EDT
Verified on build 123 (Version: 4.1.0-SNAPSHOT Build Number: a6d2d56)

Inventoried two platforms and created a compatible group of platforms. After shutdown of the agent on one platform, waited for the below message in server og:

2011-06-10 12:52:03,964 INFO  [org.rhq.enterprise.server.core.AgentManagerBean] Have not heard from agent [sunillaptop] since [Fri Jun 10 12:36:17 IST 2011]. Will be backfilled since we suspect it is down

Navigated to the compatible group's Inventory tab and verified that one resource is indicating down with a red icon.

Marking as verified.
Comment 5 Heiko W. Rupp 2013-09-02 03:15:32 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.